//! Public key tag
use super::Addr;

/// Public key tag
#[derive(Debug, PartialEq, Eq, Clone)]
pub struct PubKey {
    /// The public key or a prefix for more privacy
    pub id: Addr,
    /// Optionally a relayer to connect to
    pub relayer_url: Option<String>,
    /// A pet name, an internal name, that this public key gives to the
    /// related/tagged public key
    pub pet_name: Option<String>,
}
